Ask Your Question
2

Error When to load NAO model

asked 2013-09-27 15:37:48 -0500

updated 2013-10-01 13:27:53 -0500

Hello Everyone!!

I'm using: https://github.com/ahornung/nao_robot

When tried to load it have this problem:

process[nao_walker-2]: started with pid [25682]

process[nao_sensors-3]: started with pid [25683]

process[nao_controller-4]: started with pid [25684]

[ERROR] [WallTime: 1380507862.005092] Error importing NaoQI. Please make sure that 
Aldebaran's NaoQI API is in your PYTHONPATH.

[ERROR] [WallTime: 1380507862.141412] Error importing NaoQI. Please make sure that    Aldebaran's NaoQI API is in your PYTHONPATH.

================================================================================

REQUIRED process [nao_walker-2] has died!

process has died [pid 25682, exit code 1, cmd     /home/vincent/fuerte/nao_robot/nao_driver/scripts/nao_walker.py --pip=127.0.0.1 -- 

pport=9559 __name:=nao_walker __log:=/home/vincent/.ros/log/6a2efe60-2977-11e3-926b- b8030561fc1f/nao_walker-2.log].

log file: /home/vincent/.ros/log/6a2efe60-2977-11e3-926b-b8030561fc1f/nao_walker-2*.log

Initiating shutdown!

================================================================================

[ERROR] [WallTime: 1380507862.217620] Error importing NaoQI. Please make sure that           Aldebaran's NaoQI API is in your PYTHONPATH.

[nao_controller-4] killing on exit

[nao_sensors-3] killing on exit

[nao_walker-2] killing on exit

[rosout-1] killing on exit

[master] killing on exit

shutting down processing monitor...

... shutting down processing monitor complete

done

A lot of thanks!!!

edit retag flag offensive close merge delete

4 Answers

Sort by » oldest newest most voted
1

answered 2013-10-01 17:36:49 -0500

These lines are important:

[ERROR] [WallTime: 1380507862.005092] Error importing NaoQI. Please make sure that 
Aldebaran's NaoQI API is in your PYTHONPATH.

[ERROR] [WallTime: 1380507862.141412] Error importing NaoQI. Please make sure that    Aldebaran's NaoQI API is in your PYTHONPATH.

It seems that you didn't install naoqi, or you didn't add the API in your library path. ROS packages only provide the interface with naoqi, you still need the original APIs for Nao to get things work.

See this page: http://wiki.ros.org/nao/Tutorials/Getting-Started#Installing_NAOqi

edit flag offensive delete link more

Comments

Used: gedit .bashrc And copy in the end export PYTHONPATH=~/naoqi/naoqi-sdk-1.12.3-linux32/lib:$PYTHONPATH But have the same problem

vncntmh gravatar image vncntmh  ( 2013-10-09 14:56:04 -0500 )edit

As AHornung said, you should install NaoQI python SDK in your PYTHON PATH. In /.~bashrc, it looks like `PYTHONPATH=${PYTHONPATH}:/home/rosfuerte/tool/pynaoqi-python-2.7-naoqi-1.14-linux64`

Po-Jen Lai gravatar image Po-Jen Lai  ( 2013-10-10 05:05:19 -0500 )edit
0

answered 2013-10-09 22:07:15 -0500

AHornung gravatar image

You need to use the NaoQI Python SDK, and put that in your PYTHONPATH (not the C++ SDK). It looks like the "Getting Started" tutorial is out of date concerning that.

edit flag offensive delete link more
-1

answered 2013-10-09 15:00:21 -0500

updated 2013-10-09 15:05:15 -0500

Used:

gedit .bashrc

And copy in the end

export PYTHONPATH=~/naoqi/naoqi-sdk-1.12.3-linux32/lib:$PYTHONPATH

I have used:

cd ~/naoqi/naoqi-sdk-1.12.5-linux64/lib
export PYTHONPATH=~/naoqi/naoqi-sdk-1.12.5-linux64/lib:$PYTHONPATH

and tried to load:

roslaunch nao_driver nao_driver.launch

But have the same problem

A lot of thanks!!

edit flag offensive delete link more
-1

answered 2013-11-01 21:23:19 -0500

doudoushuixiu gravatar image

u can download the naoqi-sdk-1.12.x but there is a error of using the naoqi-sdk-1.14.x because i use it first and there is something wrong in using it for ros .

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2013-09-27 15:37:48 -0500

Seen: 692 times

Last updated: Nov 01 '13